# pandas.read_spss

pandas.read_spss(path, usecols=None, convert_categoricals=True)

  Load an SPSS file from the file path, returning a DataFrame.

  New in version 0.25.0.

  Parameters
    path str or Path

      File path.

    usecols list-like, optional

      Return a subset of the columns. If None, return all columns.

    convert_categoricals bool, default is True

      Convert categorical columns into pd.Categorical.

  Returns
    DataFrame